Subject: RE: [Sip] Connected-identity and changing the To headerfieldinaresponse

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Tue, 4 Apr 2006 23:32:16 +0200

Hi,

It would probably give us better flexibility and freedom when defining
SIP extensions.

Regards,

Christer 

-----Original Message-----
From: Jeroen van Bemmel [mailto:[email-masked]] 
Sent: 4. huhtikuuta 2006 22:22
To: Michael Hammer (mhammer); Bob Penfield; Elwell, John; [email-masked]
Subject: Re: [Sip] Connected-identity and changing the To
headerfieldinaresponse

big humm on that

----- Original Message -----
From: "Michael Hammer (mhammer)" <[email-masked]>
To: "Bob Penfield" <[email-masked]>; "Elwell, John" 
<[email-masked]>; <[email-masked]>
Sent: Tuesday, April 04, 2006 4:00 PM
Subject: RE: [Sip] Connected-identity and changing the To header
fieldinaresponse

It has now been about 4 years since RFC-3261 was published.
Is it about time to declare RFC-2543 really obsolete and end discussion
of backwards compatibility with it?

Mike

> -----Original Message-----
> From: Bob Penfield [mailto:[email-masked]]
> Sent: Tuesday, April 04, 2006 7:58 AM
> To: Elwell, John; [email-masked]
> Subject: Re: [Sip] Connected-identity and changing the To header field

> inaresponse
>
> The issue with changing the To in a response is backward compatibility

> with RFC 2543 which does use the To for transaction matching. RFC 2543

> section
> 1.4.3 says:
>
>    All responses to a request contain the same values in
>    the Call-ID, CSeq, To, and From fields (with the possible
>    addition of a tag in the To field (section 6.37)).
>    This allows responses to be matched with requests.
>
> cheers,
> (-:bob
>
> Robert F. Penfield
> Chief Software Architect
> Acme Packet, Inc.
> 71 Third Avenue
> Burlington, MA 01803
> [email-masked]
>
> ----- Original Message -----
> From: "Elwell, John" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, April 04, 2006 2:45 AM
> Subject: [Sip] Connected-identity and changing the To header field in 
> aresponse
>
>
> > During discussion of draft-elwell-connected-identity in Dallas, 
> > somebody put forward the opinion that it would be dangerous
> to change
> > the To header field URI in a response (i.e., make it different from 
> > the From header field URI in the request). My assumption at
> the time
> > was that it would undermine the transaction concept in SIP, yet 
> > reading what RFC3261 has to say about transactions, the
> value of the
> > To header field URI in a response does not appear to be involved in 
> > coupling a response to a request. Therefore I assume the person who 
> > indicated the danger (which was not challenged at the
> > meeting) has other reasons in mind. I would greatly appreciate 
> > opinions on the wisdom or otherwise of allowing the To header field 
> > URI to change. It seems that from discussion of connected-identity 
> > there is a desire from some parts of the community to include an
> > (unauthenticated) identity in a response.
> >
> > John
> >
> >
>
>
> --------------------------------------------------------------
> ------------------
>
>
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments on the application of sip
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip